proxy_cache_path /var/cache/nginx levels=1:2 keys_zone=STATIC:10m inactive=7d use_temp_path=off;

upstream next {
  server localhost:5001;
}

upstream graphql {
  server localhost:5002;
}

server {
  listen 5000 default_server;

  server_name _;

  server_tokens off;

  proxy_buffer_size 128k;
  proxy_buffers 4 256k;
  proxy_busy_buffers_size 256k;
  large_client_header_buffers 4 16k;

  gzip on;
  gzip_proxied any;
  gzip_comp_level 4;
  gzip_types text/css application/javascript image/svg+xml;

  proxy_http_version 1.1;
  proxy_set_header Upgrade $http_upgrade;
  proxy_set_header Connection 'upgrade';
  proxy_set_header Host $host;
  proxy_cache_bypass $http_upgrade;

  location /_next/static {
    proxy_cache STATIC;
    proxy_pass http://next;
    # add_header X-Cache-Status $upstream_cache_status;
  }

  location /static {
    proxy_cache STATIC;
    proxy_ignore_headers Cache-Control;
    proxy_cache_valid 60m;
    proxy_pass http://next;
    # add_header X-Cache-Status $upstream_cache_status;
  }

  location /graphql/graphql {
    rewrite ^/graphql/graphql(/?)(.*)$ /graphql$2 break;
    proxy_pass http://graphql;
  }

  location / {
    proxy_pass http://next;
  }
}
